Package org.apache.synapse.transport.passthru

# Class ErrorCodes

java.lang.Object
org.apache.synapse.transport.passthru.ErrorCodes

public class ErrorCodes extends Object
Error codes exposed by this transport.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONNECT_CANCEL`
  `static final int`
  `CONNECT_TIMEOUT`
  `static final int`
  `CONNECTION_CLOSED`
  `static final int`
  `CONNECTION_FAILED`
  `static final int`
  `CONNECTION_TIMEOUT`
  `static final int`
  `PROTOCOL_VIOLATION`
  `static final int`
  `SND_HTTP_ERROR`
  `static final int`
  `SND_INVALID_STATE`
  `static final int`
  `SND_IO_ERROR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorCodes()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SND_IO_ERROR

    public static final int SND_IO_ERROR
    See Also:
      - Constant Field Values

  - ### SND_HTTP_ERROR

    public static final int SND_HTTP_ERROR
    See Also:
      - Constant Field Values

  - ### SND_INVALID_STATE

    public static final int SND_INVALID_STATE
    See Also:
      - Constant Field Values

  - ### CONNECTION_FAILED

    public static final int CONNECTION_FAILED
    See Also:
      - Constant Field Values

  - ### CONNECTION_TIMEOUT

    public static final int CONNECTION_TIMEOUT
    See Also:
      - Constant Field Values

  - ### CONNECTION_CLOSED

    public static final int CONNECTION_CLOSED
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VIOLATION

    public static final int PROTOCOL_VIOLATION
    See Also:
      - Constant Field Values

  - ### CONNECT_CANCEL

    public static final int CONNECT_CANCEL
    See Also:
      - Constant Field Values

  - ### CONNECT_TIMEOUT

    public static final int CONNECT_TIMEOUT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ErrorCodes

    public ErrorCodes()